﻿$ErrorActionPreference = 'Stop'

$toolsPath      = Split-Path $MyInvocation.MyCommand.Definition
 
$packageArgs = @{
  packageName            = 'fiddler'
  fileType               = 'EXE'
  file                   = Get-Item $toolsPath\*.exe
  silentArgs             = '/S'
  validExitCodes         = @(0)
  softwareName           = 'fiddler*'
}
Install-ChocolateyInstallPackage @packageArgs

Get-ChildItem $toolsPath\*.exe | ForEach-Object {
  Remove-Item $_ -ErrorAction SilentlyContinue;
  if (Test-Path $_) {
    Set-Content -Value "" -Path "$_.ignore"
  }
}